IFAPI_OBJECT_UNION Union Reference

`#include <ifapi_keystore.h>`

## Data Fields

IFAPI_EXT_PUB_KEY | ext_pub_key
IFAPI_KEY | key
IFAPI_NV | nv
IFAPI_DUPLICATE | key_tree
IFAPI_HIERARCHY | hierarchy

## Detailed Description

type for representing public info of a TPM-Resource

## Field Documentation

## ext_pub_key

IFAPI_EXT_PUB_KEY ext_pub_key

Public info for external key.

## hierarchy

IFAPI_HIERARCHY hierarchy

Information related to hierarchies

## key

IFAPI_KEY key

Public info for key objects

## key_tree

IFAPI_DUPLICATE key_tree

Information for key duplication

## nv

IFAPI_NV nv

Public info for NV ram objects

The documentation for this union was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h